<?php

namespace Drupal\migrate_wizard\Plugin\FieldTypeMW;

use Drupal\migrate_wizard\FieldTypeMWBase;

/**
 * Provides 'email' field type.
 *
 * @FieldType(
 *   id = "email",
 * )
 */
class FieldTypeMWEmail extends FieldTypeMWBase {


    public static function getD7MigrationConfig(&$wildcard_yml_config, $origin_field, $data_field, $type_source, $config, $entityFieldManager, $fieldTypeMWManager, $langcode = NULL): void {

    $array_config[$data_field['destiny']][] = [
      'plugin' => 'skip_on_empty',
      'source' => $origin_field,
      'method' => 'process',
    ];

    $array_config[$data_field['destiny']][] = [
      'plugin' => 'sub_process',
      'process' => [
        'value' => 'email'
      ]
    ];

    $wildcard_yml_config['process'] = array_merge($wildcard_yml_config['process'], $array_config);

  }


}
